Bug 536496 (RHQ-840) - Attribute 'default' for <c:option> not honored
Summary: Attribute 'default' for <c:option> not honored
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: RHQ-840
Product: RHQ Project
Classification: Other
Component: Plugin Container
Version: 1.0
Hardware: All
OS: All
medium
medium vote
Target Milestone: ---
: ---
Assignee: Charles Crouch
QA Contact:
URL: http://jira.rhq-project.org/browse/RH...
Whiteboard:
Depends On:
Blocks: rhq4
TreeView+ depends on / blocked
 
Reported: 2008-09-16 11:05 UTC by Heiko W. Rupp
Modified: 2015-02-01 23:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 16:57:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 738029 None None None Never

Internal Links: 738029

Description Heiko W. Rupp 2008-09-16 11:05:00 UTC
When setting up a property with options like the following, then the attribute 'default' is ignored and both values are not checked in the GUI.

<c:simple-property name="foo">
<c:property-options>
               <c:option value="POJO Cache" default="false"/>
               <c:option value="Tree Cache" default="true"/>
</c:property-options>
</c:simple-property>

A default is only set when the c:simple-property gets a default attribute too:

<c:simple-property name="foo" default="Tree Cache" >



We should either fix this that the default property from the options are taken or (as this might prevent double usage),
remove the default attribute on c:option and only use the default from c:simple-property.

Comment 1 Heiko W. Rupp 2008-11-28 20:41:00 UTC
Raising priority, as this confuses developers.

Comment 2 Heiko W. Rupp 2009-01-29 14:26:28 UTC
The default seems to be pulled out of the descriptor, but never ever used. 
So just removing it from <option/> could be the simplest option.

Comment 3 John Mazzitelli 2009-01-29 14:35:33 UTC
setting "fixed version" to 1.2  to consider getting this in for next release. this should be an extremely easy fix and since the attrib was never used in the first place, there is no backward compatiblity issues to worry about.

Comment 4 Heiko W. Rupp 2009-01-29 14:42:05 UTC
ACtually I see that it is referenced in ConfigurationMetadataManager.updatePropertyDefinition(), but not mixed and matched with the default from the simple-property 

Comment 5 Red Hat Bugzilla 2009-11-10 21:18:00 UTC
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-840


Comment 6 wes hayutin 2010-02-16 16:57:04 UTC
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug

Comment 7 wes hayutin 2010-02-16 17:02:09 UTC
making sure we're not missing any bugs in rhq_triage

Comment 8 Ian Springer 2010-10-07 16:57:35 UTC
commit 1d814e5, pushed to master, completely removes the is_default option from the code base. This entailed:

1) remove field from PropEnum entity
2) remove column from DB in dbsetup/dbupgrade scripts
3) remove attribute from rhq-configuration.xsd
4) remove usage of attribute from any rhq-plugin.xml's that use it (there were a lot, so it's possible I missed one or two)

Comment 9 Mike Foley 2011-07-08 18:59:15 UTC
internal refactoring.  searched codebase for any remnants of is_default

Comment 11 Heiko W. Rupp 2013-09-03 16:57:22 UTC
Bulk closing of old issues that are in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.